Subject: Re: [core] New Version Notification for draft-ietf-core-links-json-04.txt

From: Carsten Bormann <[email-masked]>
Date: Mon, 02 Nov 2015 10:32:16 +0900

Apart from the usual updates in the references, this new version just
adds integers for the attribute names defined by the CoRE resource
directory.

> Diff: https://www.ietf.org/rfcdiff?url2=draft-ietf-core-links-json-04

Grüße, Carsten

[email-masked] wrote:
> A new version of I-D, draft-ietf-core-links-json-04.txt
> has been successfully submitted by Carsten Bormann and posted to the
> IETF repository.
> 
> Name:		draft-ietf-core-links-json
> Revision:	04
> Title:		Representing CoRE Formats in JSON and CBOR
> Document date:	2015-11-01
> Group:		core
> Pages:		18
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-core-links-json-04.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-core-links-json/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-core-links-json-04
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-core-links-json-04
> 
> Abstract:
>    JavaScript Object Notation, JSON (RFC7159) is a text-based data
>    format which is popular for Web based data exchange.  Concise Binary
>    Object Representation, CBOR (RFC7049) is a binary data format which
>    has been optimized for data exchange for the Internet of Things
>    (IoT).  For many IoT scenarios, CBOR formats will be preferred since
>    it can help decrease transmission payload sizes as well as
>    implementation code sizes compared to other data formats.
> 
>    Web Linking (RFC5988) provides a way to represent links between Web
>    resources as well as the relations expressed by them and attributes
>    of such a link.  In constrained networks, a collection of Web links
>    can be exchanged in the CoRE link format (RFC6690).  Outside of
>    constrained environments, it may be useful to represent these
>    collections of Web links in JSON, and similarly, inside constrained
>    environments, in CBOR.  This specification defines a common format
>    for this.
> 
>    Group Communication for the Constrained Application Protocol
>    (RFC7390) defines a number of JSON formats for controlling
>    communication between groups of nodes employing the Constrained
>    Application Protocol (CoAP).  In a similar vein, this specification
>    defines CBOR variants of these formats.
> 
>                                                                                   
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 
>